Skip to main content
GET
/
v3
/
balance_transaction
/
{id}
Fetch Balance Transaction
curl --request GET \
  --url https://service-sandbox.tazapay.com/v3/balance_transaction/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "status": "success",
  "message": "",
  "data": {
    "amount": 10000,
    "created_at": "2025-07-04T08:38:20.564Z",
    "currency": "INR",
    "description": "pat_d1jp5tgf3uhv3dumbkd0",
    "fee_details": [
      {
        "amount": -180,
        "currency": "INR",
        "type": "variable_fee"
      }
    ],
    "fx_conversions": [
      {
        "exchange_rate": 0.010869823862581245,
        "final": {
          "amount": 107,
          "currency": "USD"
        },
        "initial": {
          "amount": 9820,
          "currency": "INR"
        }
      }
    ],
    "id": "btr_d1jp5v0f3uhv3dumbkhg",
    "metadata": {},
    "net": {
      "amount": 107,
      "currency": "USD"
    },
    "object": "balance_transaction",
    "operation_type": "credit",
    "source": "esc_d1jp5pof3uhv3dumbjcg",
    "type": "escrow"
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

ID of the balance transaction you want to expand

Response

200

status
string

Indicates whether the balance transaction retrieval was successful.

message
string

Additional message or information about the response.

data
object

Details of the balance transaction.